<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Fixtures;

use Sylius\Bundle\CoreBundle\Fixture\AbstractResourceFixture;
use Symfony\Component\Config\Definition\Builder\ArrayNodeDefinition;

class OrganizationFixture extends AbstractResourceFixture
{
    protected function configureResourceNode(ArrayNodeDefinition $resourceNode): void
    {
        $resourceNode
            ->children()
            ->scalarNode('name')->cannotBeEmpty()->end()
            ->scalarNode('email')->cannotBeEmpty()->end()
            ->scalarNode('address_firstname')
                ->isRequired()
            ->end()
            ->scalarNode('address_lastname')
                ->isRequired()
            ->end()
            ->scalarNode('address_phoneNumber')
                ->defaultNull()
            ->end()
            ->scalarNode('address_company')
                ->defaultNull()
            ->end()
            ->scalarNode('address_street')
                ->isRequired()
                ->cannotBeEmpty()
            ->end()
            ->scalarNode('zip_code')
                ->isRequired()
                ->cannotBeEmpty()
            ->end()
            ->scalarNode('city')
                ->isRequired()
                ->cannotBeEmpty()
            ->end()
            ->scalarNode('country')
                ->isRequired()
                ->cannotBeEmpty()
            ->end()
            ->arrayNode('customers')
                ->children()
                    ->integerNode('random')->defaultValue(null)->end()
                    ->arrayNode('emails')
                        ->scalarPrototype()->end()->defaultValue([])
                    ->end()
                ->end()
            ->end()
        ;
    }

    public function getName(): string
    {
        return 'organization';
    }
}
