<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer\CustomerChannelPricingInterface;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer\CustomerChannelPricingTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\CustomerInterface;

/**
 * @ORM\Entity
 *
 * @ORM\Table(name="dedi_customer_pricing_customer_channel_pricing")
 */
class CustomerChannelPricing extends ChannelPricing implements CustomerChannelPricingInterface
{
    /**
     * @ORM\ManyToOne(targetEntity="Sylius\Component\Customer\Model\CustomerInterface")
     * @ORM\JoinColumn(name="customer_id", referencedColumnName="id", nullable=false, onDelete="CASCADE")
     */
    protected ?CustomerInterface $customer = null;

    use CustomerChannelPricingTrait;
}
